## tasksel 2.50ubuntu7

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
UDOMAIN=ubuntu-tasks
USUITE=edgy
UFLAVOURS=ubuntu kubuntu edubuntu xubuntu
UTASKDESC=$(UDOMAIN).desc
UDESCDIR=ubuntu-tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bs ca cs cy da de el es et eu fi fr gl he hr hu id it ja ko lt mg mk nb nl nn pa pl pt pt_BR ro ru sk sl sq sv tl tr uk vi zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de el es et eu fi fr gl he hr hu id it ja ko lt mg mk nb nl nn pa pl pt pt_BR ro ru sk sl sq sv tl tr uk vi zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(TASKDESC) $(UTASKDESC) $(DESCPO)/build_stamp po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

$(UDESCDIR): ubuntu-seeds.pl
	./ubuntu-seeds.pl $(UDESCDIR) $(USUITE) $(UFLAVOURS)

$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
	./makedesc.pl $(UDESCDIR) $(UTASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR) \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/info \
		$(DESTDIR)/usr/lib/tasksel/packages
	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for script in info/*; do \
		install -m 755 $$script $(DESTDIR)/usr/lib/tasksel/info/; \
		for flavour in $(UFLAVOURS); do \
			ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
		done; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
	for lang in $(LANGS_DESC); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 tasks/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

clean:
	rm -f $(TASKDESC) $(UTASKDESC) *~
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

# This taget is run to generate the overrides files.
# It is run from a cron job, so should only generate output if there are
# problems.
override:
	@svn up tasks 2>&1 | grep -v ^U | grep -v "At revision" || true
	@./makeoverride.pl $(DESCDIR) > external-overrides-task

=== debian/changelog ===
tasksel (2.50ubuntu7) edgy; urgency=low

  * Update Ubuntu tasks from seeds, collapsing *-standard into a single
    standard task (closes: Malone #66214).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Oct 2006 22:50:31 +0100

tasksel (2.50ubuntu6) edgy; urgency=low

  * Use apt-get rather than aptitude to install tasks (closes: Malone
    #61684). (This means that "Packages: standard" will no longer work, but
    we don't use that in Ubuntu anyway.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Oct 2006 10:40:48 +0100

tasksel (2.50ubuntu5) edgy; urgency=low

  * Update Ubuntu tasks from seeds, refreshing *-live descriptions.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 03:45:06 +0100

tasksel (2.50ubuntu4) edgy; urgency=low

  * Add --debconf-apt-from and --debconf-apt-to options to tasksel. If
    provided, tasksel will use them to allocate regions of the
    debconf-apt-progress progress bar to task scripts.
  * Adjust desktop.preinst to allow use of debconf-apt-progress, and make
    its already-installed check a bit more robust. This isn't perfect
    because it uses the same progress bar endpoints for each package, so the
    progress bar will jump back and forth a little; but this is better than
    nothing.
  * Install xserver-xorg in desktop.preinst.
  * Update Ubuntu tasks from seeds, adding minimal and
    {ubuntu,kubuntu,edubuntu,xubuntu}-live.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  6 Oct 2006 12:13:36 +0100

tasksel (2.50ubuntu3) edgy; urgency=low

  * Ubuntu branding (Debian bug filed).
  * Update Ubuntu tasks from seeds, adding edubuntu-server.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 15:24:45 +0100

tasksel (2.50ubuntu2) edgy; urgency=low

  * Don't install mdetect or read-edid in desktop.preinst.
  * Install {ubuntu,kubuntu,edubuntu,xubuntu}-desktop.preinst as symlinks to
    desktop.preinst.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Jul 2006 13:05:57 +0100

tasksel (2.50ubuntu1) edgy; urgency=low

  * Generate ubuntu-tasks.desc from special headers in the Ubuntu seeds.
    Don't install debian-tasks.desc.
  * Add debian/rules update target to update the above.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jul 2006 20:16:19 +0100

tasksel (2.50) unstable; urgency=low

  [ Translations of programs ]
    - updated Malagasy (Jaonary Rabarisoa)

  [ Translations of tasks ]
    - Updated French (Christian Perrier)
    - Updated Czech (Miroslav Kure)
    - Updated Romanian (Eddy Petrişor)
    - Updated Japanese (Kenshi Muto)
    - Updated Galician (Jacobo Tarrio)
    - Updated Dzongkha (Kinley Tshering)
    - Updated Dutch (Bart Cornelis)

  [ Christian Perrier ]
  * Correct the description of several -desktop tasks to use
    "XXXX desktop" instead of "XXXX environment"
  * Add "nb" to languages which trigger the "norwegian" task so
    that it's used for Bokmal
  * Added tasks for languages supported in D-I:
    - khmer-desktop
    - dzongkha-desktop
    - xhosa-desktop
    - georgian-desktop
    - latvian-desktop
    - nepali-desktop
    - northern-sami-desktop
    - vietnamese-desktop
  * Add fonts:
    - ttf-indic-fonts to -desktop tasks for supported Indic languages
    - ttf-dejavu:
      bulgarian-desktop
      macedonian-desktop
  * Add openoffice.org-l10n-xx to:
    - bosnian-desktop
    - farsi-desktop
    - irish-desktop
    - croatian-desktop
    - macedonian-desktop
  * Add openoffice.org-hyphenation-xx to:
    - finnish-desktop (the real package is openoffice.org-soikko)
  * Add openoffice.org-help-xx to:
    - estonian-desktop
  * Add openoffice.org-thesaurus-xx to:
    - desktop
    - czech-desktop
    - italian-desktop
    - slovak-desktop
  * Add firefox-locale-xx to:
    - desktop (the -en-gb and -en-us ones)
    - arabic-desktop
    - bulgarian-desktop
    - french-desktop
    - lithuanian-desktop
    - norwegian-desktop
    - punjabi-desktop
    - polish-desktop
    - romanian-desktop
    - slovak-desktop
    - swedish-desktop
    - turkish-desktop
    - chinese-s-desktop
    - chinese-t-desktop
  * Add koffice-i18n-xx to:
    - finnish-desktop
  * Add kde-i18n-xx to:
    - irish-desktop
    - korean-desktop
    - macedonian-desktop
    - portuguese-desktop
  * Replace mozilla-locale-xx by firefox-locale-x in:
    - catalan-desktop
    - danish-desktop
    - german-desktop
    - greek-desktop
    - spanish-desktop (both es-es and es-ar)
    - japanese-desktop
    - korean-desktop
    - brazilian-portuguese-desktop
  * Remove Thunderbird l10n (no Thunderbird in the desktop task) from:
    - greek-desktop
    - ukrainian-desktop
  * Remove koffice-i18n-* (no koffice in the default KDE install)
    - turkish-desktop
    - swedish-desktop
    - romanian-desktop (was commented)
    - persian-desktop
    - italian-desktop
    - hebrew-desktop
    - greek-desktop
    - finnish-desktop
    - danish-desktop
    - catalan-desktop
  * Remove non existing openoffice.org-help-xx in:
    - greek-desktop
    - basque-desktop
    - portuguese-desktop
  * Remove non-existing/uninstallable openoffice.org-l10n-xx in:
    - galician-desktop
    - portuguese-desktop
  * Remove non existing myspell-xx in:
    - galician-desktop
  * Move myspell-xx from the base task to the desktop task for:
    - swedish-desktop

  [ Kenshi Muto ]
  * Updated japanese and japanese-desktop tasks.
    - removed legacy xfonts packages from desktop task.
    - bumped up lv for key package because less command or any other
      pager can't handle Japanese manpage.
    - took uim+anthy for default input method instead of canna.
      There is an alternative, "scim". But scim can't run on CUI.
    - removed ja-trans, doc-debian-ja, xmanpages-ja because they aren't
      maintained for a long time.
    - removed kterm and mlterm from desktop task. kterm can't support UTF8.
      mlterm has too huge dependencies and GNOME or KDE will provide a good
      UTF8 support terminal by default.

  [ Joey Hess ]


=== debian/control ===
Source: tasksel
Section: admin
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Build-Depends: po-debconf, debhelper (>= 5), gettext, dpkg-dev (>= 1.9.0)

Package: tasksel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Architecture: all
Depends: tasksel, laptop-detect
Conflicts: tasksel-data, tasksel (<< 2.46)
Description: Official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

=== debian/rules ===
#!/usr/bin/make -f

update:
	rm -rf ubuntu-tasks
	$(MAKE) ubuntu-tasks

commit: commit-stamp
commit-stamp:
	dh_testdir
	svn commit
	touch commit-stamp

build: build-stamp
build-stamp: 
	dh_testdir
	$(MAKE) DEBUG=0
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp commit-stamp
	-$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tasksel
	$(MAKE) install-data DESTDIR=`pwd`/debian/tasksel-data
	touch install-stamp

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs TODO README
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_installdebconf
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tasksel 2.59ubuntu2

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,14 @@
 TASKDIR=/usr/share/tasksel
 DESCDIR=tasks
 UDOMAIN=ubuntu-tasks
-USUITE=edgy
+USUITE=feisty
 UFLAVOURS=ubuntu kubuntu edubuntu xubuntu
 UTASKDESC=$(UDOMAIN).desc
 UDESCDIR=ubuntu-tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
-LANGS=ar bg bs ca cs cy da de el es et eu fi fr gl he hr hu id it ja ko lt mg mk nb nl nn pa pl pt pt_BR ro ru sk sl sq sv tl tr uk vi zh_CN zh_TW
-LANGS_DESC=ar bg bn bs ca cs cy da de el es et eu fi fr gl he hr hu id it ja ko lt mg mk nb nl nn pa pl pt pt_BR ro ru sk sl sq sv tl tr uk vi zh_CN zh_TW
+LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta th tl tr uk vi wo zh_CN zh_TW
+LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv th tl tr uk vi wo zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
 all: $(TASKDESC) $(UTASKDESC) $(DESCPO)/build_stamp po/build_stamp

=== debian/changelog ===
tasksel (2.59ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 00:19:56 +0000

tasksel (2.59ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add Ubuntu tasks and 'debian/rules update' target.
    - Install {ubuntu,kubuntu,edubuntu,xubuntu}-desktop.preinst as symlinks
      to desktop.preinst, which we keep for now although it was removed from
      Debian.
    - Add --debconf-apt-from and --debconf-apt-to options to tasksel, to
      allow better progress output for task scripts. Adjust desktop.preinst
      to make use of this.
    - Use apt-get rather than aptitude to install tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 14:16:42 +0000

tasksel (2.59) unstable; urgency=low

  [ Translations of programs ]
    - Malayalam added

  [ Translations of debconf templates ]
    - Malayalam added

  [ Translations of tasks ]
    - Bengali updated.
    - Brazilian Portuguese updated.
    - Catalan updated.
    - Estonian updated.
    - Japanese updated.
    - Khmer updated.
    - Lithuanian updated.
    - Slovenian updated.
    - Spanish updated.
    - Thai updated.
    - Wolof updated. Closes: #400079
    - Malayalam added

  [ Joey Hess ]
  * Add hpijs to print server task.
  * Add iceweasel to desktop task is it conflicts/replaces firefox.
    Closes: #400154
    Left firefox in there for the transition.
  * Remove gimp-print from print server task, since it's only a gimp printing
    plugin. It remains in the desktop task, which includes the gimp.
    Closes: #400251
  * Remove no longer available packages from various language tasks.
  * Remove ptrconf from desktop task. The actual package is sparc-utils, and
    xorg depends on it on sparc.

  [ Christian Perrier ]
  * Portuguese task additions. Closes: #400317, #400542
    - Replace old apsell-pt by aspell-pt-pt
    - Add iportuguese, wportuguese and myspell-pt-pt

  [ Per Olofsson ]
  * Added bluez-gnome to gnome-desktop. Bluetooth support on laptops by
    default, yay!

  [ Eddy Petrișor ]
  * added aspell-ro to the Romanian task since it is now an official package

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Dec 2006 16:13:23 -0500

tasksel (2.58ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add Ubuntu tasks and 'debian/rules update' target.
    - Install {ubuntu,kubuntu,edubuntu,xubuntu}-desktop.preinst as symlinks
      to desktop.preinst.
    - Add --debconf-apt-from and --debconf-apt-to options to tasksel, to
      allow better progress output for task scripts. Adjust desktop.preinst
      to make use of this.
    - Use apt-get rather than aptitude to install tasks.
  * Keep info/desktop.preinst for now, until our xserver-xorg is updated to
    do its work in the postinst.
  * Point Ubuntu task update script at feisty.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Nov 2006 09:48:56 +0000

tasksel (2.58) unstable; urgency=low

  [ Translations of tasks - alphabet ical order ]
    - Albanian updated.
    - Arabic updated.
    - Basque updated.
    - Bengali updated.
    - Brazilian Portuguese updated.
    - Catalan updated.
    - Chinese (Simplified) updated.
    - Czech updated.
    - Danish updated.
    - Dutch updated.
    - French updated.
    - Galician updated.
    - German updated.
    - Gujarati updated.
    - Hindi updated.
    - Hungarian updated.
    - Indonesian updated.
    - Italian updated.
    - Japanese updated.
    - Korean updated.
    - Lithuanian updated.
    - Malagasy updated.
    - Nepali updated.
    - Portuguese updated.
    - Punjabi updated.
    - Romanian updated.
    - Russian updated.
    - Slovak updated.
    - Spanish updated.
    - Swedish updated.
    - Tagalog updated.
    - Thai updated.
    - Ukrainian updated.
    - Vietnamese updated (Closes: #398702).
    - Wolof updated.
    - Updated Khmer.

  [ Translations of debconf templates ]
    - Malagasy updated.
    - Indonesian updated

  [ Translations of program messages ]
    - Indonesian updated.
    - Korean updated.

  [ Gustavo Franco ]
  * Add xfce-desktop task.

  [ Joey Hess ]
  * Updated chinese-s and chinese-s-desktop thanks to Ming Hua.
    Closes: #393630
  * Remove nonexistant pgaccess package from database task.

  [ Eugeniy Meshcheryakov ]
  * Add doc-debian-uk and apt-howto-uk to 'ukrainian' task

  [ Joey Hess ]
  * brasero is in testing, remove bonfire legacy package.
  * Make the lang test support languages of the form ll_LL. Closes: #393966
  * Switch from brasero to the better-known and now more suitable gnomebaker.

  [ Rene Engelhard ]
  * add openoffice.org-l10n-eo to esperanto-desktop
  * add openoffice.org-gtk to xfce-desktop since -gtk also has an
    effect on Xfce. Makes OOo look better and be able to use native
    Gtk file dialogs.
  * add openoffice.org-l10n-sr-cs to serbian-desktop
  * add openoffice.org-gcj to desktop; installing "openoffice.org" installs
    gij anyway due to -base and -gcj speeds some things up
  * add myspell-pl to polish task
  * add openoffice.org-l10n-hi-in to hindi-desktop, remove -help-{bg,mk,sk}
    from their respective tasks, not built anymore

  [ Per Olofsson ]
  * Add bluetooth to laptop task. Closes: #381914.
  * Add british language task. Closes: #305132.
  * Add wpasupplicant to laptop task. Closes: #394678.

  [ Joey Hess ]
  * xserver-xorg has been changed in version 7.1.0-5 to do all hardware
    detection in its postinst, and so the desktop.preinst script to
    pre-install those tools is no longer necessary. Thanks to the X Strike
    Force for finally ending this special case.
  * Hangs during standalone tasksel runs due to apt prompting for a CD
    switch when installing packages in desktop.preinst are therefore no longer
    a problem. Closes: #386244
  * However, this problem can still occur if third-party task scripts try to
    install packages. Document that.



=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: tasksel
 Section: admin
 Priority: important
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: po-debconf, debhelper (>= 5), gettext, dpkg-dev (>= 1.9.0)
+XS-Vcs-Svn: svn://svn.debian.org/tasksel/trunk
 
 Package: tasksel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
 Description: Tool for selecting tasks for installation on Debian systems
  This package provides 'tasksel', a simple interface for users who

## tasksel 2.66

=== Makefile ===
--- 
+++ 
@@ -2,28 +2,17 @@
 TASKDESC=$(DOMAIN).desc
 TASKDIR=/usr/share/tasksel
 DESCDIR=tasks
-UDOMAIN=ubuntu-tasks
-USUITE=feisty
-UFLAVOURS=ubuntu kubuntu edubuntu xubuntu
-UTASKDESC=$(UDOMAIN).desc
-UDESCDIR=ubuntu-tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
 LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta th tl tr uk vi wo zh_CN zh_TW
 LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv th tl tr uk vi wo zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
-all: $(TASKDESC) $(UTASKDESC) $(DESCPO)/build_stamp po/build_stamp
+all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp
 
 $(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
 	./doincludes.pl $(DESCDIR)
 	./makedesc.pl $(DESCDIR) $(TASKDESC)
-
-$(UDESCDIR): ubuntu-seeds.pl
-	./ubuntu-seeds.pl $(UDESCDIR) $(USUITE) $(UFLAVOURS)
-
-$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
-	./makedesc.pl $(UDESCDIR) $(UTASKDESC)
 
 %.o: %.c
 	$(COMPILE) $<
@@ -60,20 +49,13 @@
 install-data:
 	install -d $(DESTDIR)$(TASKDIR) \
 		$(DESTDIR)/usr/lib/tasksel/tests \
-		$(DESTDIR)/usr/lib/tasksel/info \
 		$(DESTDIR)/usr/lib/tasksel/packages
-	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)
+	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)
 	for test in tests/*; do \
 		[ "$$test" = "tests/new-install" ] && continue; \
 		[ "$$test" = "tests/debconf" ] && continue; \
 		[ "$$test" = "tests/lang" ] && continue; \
 		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
-	done
-	for script in info/*; do \
-		install -m 755 $$script $(DESTDIR)/usr/lib/tasksel/info/; \
-		for flavour in $(UFLAVOURS); do \
-			ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
-		done; \
 	done
 	for package in packages/*; do \
 		[ "$$package" = "packages/list" ] && continue; \
@@ -85,7 +67,7 @@
 	done
 
 clean:
-	rm -f $(TASKDESC) $(UTASKDESC) *~
+	rm -f $(TASKDESC) *~
 	$(MAKE) -C po clean
 	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (2.66) unstable; urgency=medium

  * The iceweasel transition is complete, remove all firefox stuff from tasks.
  * Move iceweasel back to Key for desktop.
  * Add iceweasel-l10n-he to hebrew-desktop, iceweasel-l10n-fr to
    french-desktop, iceweasel-l10n-it to italian-desktop, iceweasel-l10n-pa-in
    to punjabi-desktop.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Jan 2007 18:30:15 -0500

tasksel (2.65) unstable; urgency=low

  * Switch xfce-desktop to use gdm, as xdm is currently not installable from
    within d-i due to #407342.

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Jan 2007 14:28:46 -0500

tasksel (2.64) unstable; urgency=low

  * Correct a bug that caused hidden enhancing tasks to be marked for install
    if they enhanced no available tasks. This is the problem that was
    underlying #406630.
  * Force epiphany into the gnome-desktop. It might not be pulled in via a
    dependency since other web browsers can satisfy the dependency.
    Closes: #370098
  * Also add epiphany-extensions.

 -- Joey Hess <joeyh@debian.org>  Tue, 16 Jan 2007 11:24:38 -0500

tasksel (2.63) unstable; urgency=emergency

  * Switch database-server to use postgres 8.1. (See #406399)
  * Remove foomatic-gui from print-server. Closes: #406616
  * Iceweasel/firefox cannot be in Key for desktop, since they are not
    both available in testing. Closes: #406630

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Jan 2007 17:19:25 -0500

tasksel (2.62) unstable; urgency=high

  [ Per Olofsson ]
  * Remove xserver-xorg-input-synaptics from laptop task - it's already
    depended on by xorg which is in the desktop task.

  [ Joey Hess ]
  * Explicitly add xserver-xorg-input-all and xserver-xorg-video-all
    to the desktop task to work around #405639

 -- Joey Hess <joeyh@debian.org>  Mon,  8 Jan 2007 14:37:31 -0500

tasksel (2.61) unstable; urgency=low

  * Increase the minimum free disk for automatic selection of the desktop task
    to 3 gb. Needed since the desktop task has grown somewhat, to around 2.5
    gb, and since several hundred megabytes are needed for debs in /var
    (which might be on the same partition).
    2.5 gb free is tested to currently work in a standard single-partition
    layout when installing standard+desktop+laptop, so this leaves some room
    for future bloat, and for localisation and other tasks. Closes: #405129

 -- Joey Hess <joeyh@debian.org>  Tue,  2 Jan 2007 15:49:11 -0500

tasksel (2.60) unstable; urgency=low

  [ Rene Engelhard ]
  * add openoffice.org-{l10n,help}-dz to dzonghka-desktop

  [ Joey Hess ]
  * Move xsane from common desktop task to gnome and xfce tasks. kde-desktop
    already pulls in kooka. Closes: #404554
  * Patch from Wen-Yen Chuang to update chinese-t-desktop. Closes: #404567
  * Add xdm to the xfce-desktop task.
  * Since it's more important to have eg, the mousepad editor on the xfce CD
    than OOo, change things around so that the CDs can prioritise the packages
    from foo-desktop tasks over those from the core desktop task. This really
    calls for three levels of importance in packages in tasks, but since there
    are currently only 2, make do by moving fairly essential stuff into the
    Key list for desktop.
  * Add hplip to print server task, this is not needed from a driver POV,
    but it provides hp-setup, which is a very convenient way to set up HP
    printers with CUPS, and also some other utilities for these printers.

  [ Translations of tasks ]
    - Tamil added. Closes: #403717
    - Italian updated by Davide Viti.
    - Ukrainian updated by Yanovych Borys
    - Indonesian updated by Arief S Fitrianto
    - Greek updated by Antonis Antoniadis

  [ Translations of programs ]
    - Slovenian updated

  [ Translations of debconf templates ]
    - Slovenian updated

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Dec 2006 21:31:12 -0500

=== debian/control ===
Source: tasksel
Section: admin
Priority: important
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Build-Depends: po-debconf, debhelper (>= 5), gettext, dpkg-dev (>= 1.9.0)
XS-Vcs-Svn: svn://svn.debian.org/tasksel/trunk

Package: tasksel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, aptitude (>= 0.2.15-1), tasksel-data
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Architecture: all
Depends: tasksel, laptop-detect
Conflicts: tasksel-data, tasksel (<< 2.46)
Description: Official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-update:
-	rm -rf ubuntu-tasks
-	$(MAKE) ubuntu-tasks
 
 commit: commit-stamp
 commit-stamp:

## tasksel 2.67ubuntu10

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,28 @@
 TASKDESC=$(DOMAIN).desc
 TASKDIR=/usr/share/tasksel
 DESCDIR=tasks
+UDOMAIN=ubuntu-tasks
+USUITE=gutsy
+UFLAVOURS=ubuntu kubuntu edubuntu xubuntu gobuntu mythbuntu ubuntustudio
+UTASKDESC=$(UDOMAIN).desc
+UDESCDIR=ubuntu-tasks
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
 LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta th tl tr uk vi wo zh_CN zh_TW
 LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv th tl tr uk vi wo zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
 
-all: $(TASKDESC) $(DESCPO)/build_stamp po/build_stamp
+all: $(TASKDESC) $(UTASKDESC) $(DESCPO)/build_stamp po/build_stamp
 
 $(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
 	./doincludes.pl $(DESCDIR)
 	./makedesc.pl $(DESCDIR) $(TASKDESC)
+
+$(UDESCDIR): ubuntu-seeds.pl
+	./ubuntu-seeds.pl $(UDESCDIR) $(USUITE) $(UFLAVOURS)
+
+$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
+	./makedesc.pl $(UDESCDIR) $(UTASKDESC)
 
 %.o: %.c
 	$(COMPILE) $<
@@ -39,6 +50,7 @@
 	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
 	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
 	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
+	install -m 755 tests/limit-tasks $(DESTDIR)/usr/lib/tasksel/tests/
 	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
 	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
 	for lang in $(LANGS); do \
@@ -49,13 +61,21 @@
 install-data:
 	install -d $(DESTDIR)$(TASKDIR) \
 		$(DESTDIR)/usr/lib/tasksel/tests \
+		$(DESTDIR)/usr/lib/tasksel/info \
 		$(DESTDIR)/usr/lib/tasksel/packages
-	install -m 0644 $(TASKDESC) $(DESTDIR)$(TASKDIR)
+	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)
 	for test in tests/*; do \
 		[ "$$test" = "tests/new-install" ] && continue; \
 		[ "$$test" = "tests/debconf" ] && continue; \
 		[ "$$test" = "tests/lang" ] && continue; \
+		[ "$$test" = "tests/limit-tasks" ] && continue; \
 		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
+	done
+	for script in info/*; do \
+		install -m 755 $$script $(DESTDIR)/usr/lib/tasksel/info/; \
+		for flavour in $(UFLAVOURS); do \
+			ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
+		done; \
 	done
 	for package in packages/*; do \
 		[ "$$package" = "packages/list" ] && continue; \
@@ -67,7 +87,7 @@
 	done
 
 clean:
-	rm -f $(TASKDESC) *~
+	rm -f $(TASKDESC) $(UTASKDESC) *~
 	$(MAKE) -C po clean
 	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (2.67ubuntu10) gutsy; urgency=low

  [ Colin Watson ]
  * Build mythbuntu-* tasks.
  * Update Ubuntu Studio tasks from seeds.

  [ Luke Yelavich ]
  * Add new debconf variable, tasksel/limit-tasks, to allow for the
    preseeding of a subset of available tasks on install. (LP: #147645)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 15:10:02 +0100

tasksel (2.67ubuntu9) gutsy; urgency=low

  * Update Ubuntu Studio tasks from seeds, to avoid trying to install
    ubuntustudio-desktop on all (even non-ubuntustudio) installations.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2007 09:51:35 +0100

tasksel (2.67ubuntu8) gutsy; urgency=low

  * Update Edubuntu and Ubuntu Studio tasks from seeds.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Sep 2007 14:17:56 +0100

tasksel (2.67ubuntu7) gutsy; urgency=low

  [ Soren Hansen ]
  * Support multi-line extended descriptions.

  [ Colin Watson ]
  * Use ~ubuntustudio-dev for ubuntustudio seeds now that that branch is
    good enough.
  * Update from seeds, adding mail-server, postgresql-server, print-server,
    and samba-server tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Sep 2007 16:02:36 +0100

tasksel (2.67ubuntu6) gutsy; urgency=low

  * Ensure that all tasks have an extended description (LP: #139917).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Sep 2007 16:33:27 +0100

tasksel (2.67ubuntu5) gutsy; urgency=low

  * Build gobuntu-* tasks from their own seeds.
  * Build ubuntustudio-* tasks.
  * Fetch seeds from bzr+ssh:// URLs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Sep 2007 16:00:13 +0100

tasksel (2.67ubuntu4) gutsy; urgency=low

  * Add edubuntu-desktop-kde and openssh-server tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 23 Aug 2007 10:26:03 +0100

tasksel (2.67ubuntu3) gutsy; urgency=low

  * Add edubuntu-ship-addon task.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2007 15:24:28 +0100

tasksel (2.67ubuntu2) gutsy; urgency=low

  * Added gobuntu Ubuntu tasks.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 17 Jul 2007 11:40:16 -0400

tasksel (2.67ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add Ubuntu tasks and 'debian/rules update' target.
    - Install {ubuntu,kubuntu,edubuntu,xubuntu}-desktop.preinst as symlinks
      to desktop.preinst, which we keep for now although it was removed from
      Debian.
    - Add --debconf-apt-from and --debconf-apt-to options to tasksel, to
      allow better progress output for task scripts. Adjust desktop.preinst
      to make use of this.
    - Use apt-get rather than aptitude to install tasks.
  * Point Ubuntu task update script at gutsy.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Apr 2007 12:08:12 +0100

tasksel (2.67) unstable; urgency=low

  [ Translations of tasks ]
    - Thai updated.
    - Czech updated.
    - Esperanto updated. Closes: #409637
    - Japanese updated.
    - Dutch updated.
    - Lithuanian updated.
    - Galician updated.
    - Romanian updated.
    - Marathi added
    - Traditional Chinese updated
    - Bulgarian updated.
    - French updated.
    - Japanese updated.
    - Malayalam updated.
    - Norwegian Bokmål updated
    - Portuguese updated.
    - Swedish updated.
    - Tagalog updated.
    - Brazilian Portuguese updated. Closes: #417242
    - Dzongkha updated.
    - Hebrew updated.
    - Simplified Chinese updated.

  [ Translations of programs ]
    - Esperanto updated.
    - Marathi added

  [ Translations of debconf templates ]
    - Esperanto updated.
    - Marathi added

  [ Joey Hess ]
  * Move foomatic-gui from desktop to gnome-desktop and xfce-desktop. It's not
    needed in kde-desktop since kde has its own program. Closes: #411405

  [ Rene Engelhard ]
  * remove openoffice.org-l10n-ar from arabic-desktop; gone
  * add openoffice.org-{l10n,help}-gl to galician-desktop (new in OOo 2.2)
  * add openoffice.org-help-pt to portuguese-desktop (new in OOo 2.2)

  [ Joey Hess ]
  * Remove gcin from chinese-t-desktop as it currently does not work well
    with im-switch. (This can be reverted once version 1.3.3 is available).
    Closes: #404567
  * Remove ttf-arphic-bkai00mp from chinese-t-desktop, apparently it prevents
    using the uming as the default display font. Closes: #404567
  * Add k3b-i18n to kde-desktop to localise k3b.

  [ Christian Perrier ]
  * Add a malayalam-desktop task. Closes: #416390

  [ Joey Hess ]
  * Make a few packages key for the laptop task. This allows tasksel to
    display the laptop task as installed, which it cannot do for tasks without
    any key packages. Closes: #418816
  * Add gaim-libnotify to gnome-desktop. Needs to be manually turned on but
    improves gnome integration of gaim.
  * Add avahi-autoipd to laptop task for zeroconf networking that doesn't
    get in the way.
  * Remove the Provides fields, which were always obscure and is better done
    via tests.
  * Add a preseedable tasksel/desktop, which can be used to choose which
    of gnome, kde, or xfce to pick to enhance the desktop task. It's a
    multiselect value, so if you want you can even install more than one,
    or none.

 -- Joey Hess <joeyh@debian.org>  Tue, 17 Apr 2007 21:40:42 -0400

=== debian/control ===
Source: tasksel
Section: admin
Priority: important
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.2
Build-Depends: po-debconf, debhelper (>= 5), gettext, dpkg-dev (>= 1.9.0)
XS-Vcs-Svn: svn://svn.debian.org/tasksel/trunk

Package: tasksel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
Description: Tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Architecture: all
Depends: tasksel, laptop-detect
Conflicts: tasksel (<< 2.67)
Description: Official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

## tasksel 2.70ubuntu5

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,8 @@
 TASKDIR=/usr/share/tasksel
 DESCDIR=tasks
 UDOMAIN=ubuntu-tasks
-USUITE=gutsy
-UFLAVOURS=ubuntu kubuntu edubuntu xubuntu gobuntu mythbuntu ubuntustudio
+USUITE=hardy
+UFLAVOURS=platform ubuntu kubuntu kubuntu-kde4 edubuntu xubuntu gobuntu mythbuntu ubuntustudio
 UTASKDESC=$(UDOMAIN).desc
 UDESCDIR=ubuntu-tasks
 DESCPO=$(DESCDIR)/po
@@ -73,10 +73,10 @@
 	done
 	for script in info/*; do \
 		install -m 755 $$script $(DESTDIR)/usr/lib/tasksel/info/; \
-		for flavour in $(UFLAVOURS); do \
-			ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
-		done; \
 	done
+	for flavour in $(filter-out platform,$(UFLAVOURS)); do \
+		ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
+	done; \
 	for package in packages/*; do \
 		[ "$$package" = "packages/list" ] && continue; \
 		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \

=== tasks/po/Makefile ===
DOMAIN = debian-tasks
POTFILE = $(DOMAIN).pot
MOS:=$(addsuffix .mo, $(LANGS))

all: $(POTFILE) $(MOS)
	touch build_stamp

$(POTFILE): ../../$(DOMAIN).desc
	sed -e 's/^Description:/_&/' ../../$(DOMAIN).desc > $(DOMAIN).desc && PODEBCONF_HEADER=/dev/null debconf-updatepo --podir=. && mv templates.pot $(POTFILE)-update
	if test -f $(POTFILE); then \
	  if diff -I '^"POT-Creation-Date:' -I '^Report-Msgid-Bugs-To:' $(POTFILE) $(POTFILE)-update >/dev/null 2>&1; then \
	      rm -f $(POTFILE)-update; \
	  else \
	      rm -f $(POTFILE); \
	      mv $(POTFILE)-update $(POTFILE); \
	  fi; \
	else \
	  mv $(POTFILE)-update $(POTFILE); \
	fi

%.mo: %.po
	msgfmt -o $@ $<

clean:
	-rm -f build_stamp
	-rm -f $(DOMAIN).desc
	-rm -f *.mo

update: $(addprefix update-, $(LANGS))

update-%: %.po $(POTFILE)
	mv $< $<.bak
	msgmerge $<.bak $(POTFILE) > $<

=== debian/changelog ===
tasksel (2.70ubuntu5) hardy; urgency=low

  * Update Mythbuntu tasks from seeds.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2008 01:17:23 +0100

tasksel (2.70ubuntu4) hardy; urgency=low

  [ Ante Karamatić ]
  * Fix Makefile error handling *-desktop.preinst scripts that would cause
    problems if we ever had more than one script in info/ (see LP #164837).

  [ Colin Watson ]
  * Use a repository to speed up updates of tasks from multiple seeds.
  * Update Ubuntu tasks from seeds, resulting in the following changes:
    - Rename edubuntu-desktop task to edubuntu-desktop-addon.
    - Add mythbuntu-live task.
    - Add ubuntu-standard as key package for standard task (LP: #189013).
    - Add ubuntu-dvd-live task.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Mar 2008 14:19:15 +0000

tasksel (2.70ubuntu3) hardy; urgency=low

  * Don't install discover1 and xresprobe in desktop.preinst; xserver-xorg
    no longer needs them. Installing xserver-xorg itself early on remains
    useful.
  * Don't install a platform-desktop.preinst symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Mar 2008 12:58:13 +0000

tasksel (2.70ubuntu2) hardy; urgency=low

  * Adjust to cope with seed reorganisation.
  * Add Kubuntu KDE4 tasks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Feb 2008 19:00:57 +0000

tasksel (2.70ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add Ubuntu tasks and 'debian/rules update' target.
    - Install {ubuntu,kubuntu,edubuntu,xubuntu}-desktop.preinst as symlinks
      to desktop.preinst, which we keep for now although it was removed from
      Debian.
    - Add --debconf-apt-from and --debconf-apt-to options to tasksel, to
      allow better progress output for task scripts. Adjust desktop.preinst
      to make use of this.
    - Use apt-get rather than aptitude to install tasks.
    - Add new debconf variable, tasksel/limit-tasks, to allow for the
      preseeding of a subset of available tasks on install.
  * Point Ubuntu task update script at hardy.
  * Add Vcs-Bzr for Ubuntu; rename Vcs-Svn to Original-Vcs-Svn.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Nov 2007 13:00:44 +0000

tasksel (2.70) unstable; urgency=low

  [ Per Olofsson ]
  * Remove alacarte from gnome-desktop, already pulled in by gnome-
    desktop-environment.
  * Ditto gnome-screensaver, gnome-power-manager.

  [ Christian Perrier ]
  * Remove ttf-thryomanes from hungarian-desktop and greek-desktop
    after being confirmed that it is no longer mandatory for
    these languages (the package is orphaned and may be removed
    from the archive)

  [ Joey Hess ]
  * Fix a funky $_ problem that broke calling task prerms on remove.
    (See #450777.)
  * Handle task removals in the same aptitude run as task installs
    and manual selection, using "package-" to remove packages.
    Closes: #450777

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Nov 2007 01:59:03 -0500

tasksel (2.69) unstable; urgency=low

  [ Translations of debconf templates ]
    - Nepali updated. Closes: #435330

  [ Translations of programs ]
    - Nepali updated. Closes: #435329

  [ Translations of tasks ]
    - Hungarian updated
    - French updated.
    - Swedish updated.
    - Japanese updated.
    - Basque updated.
    - Bulgarian updated.
    - Vietnamese updated.
    - Galician updated.
    - Hebrew updated.
    - Lithuanian updated.
    - Tamil updated. Closes: #432168
    - Arabic updated.
    - Thai updated.
    - Simplified Chinese updated.
    - Nepali updated. Closes: #435331
    - Spanish updated
    - Italian updated. Closes: #440215
    - Dutch updated.

  [ SZERVÁC Attila ]
  * Add ttf-sil-andika and ttf-sil-gentium to hungarian-desktop task

  [ Lior Kaplan ]
  * Add iceweasel-l10n-ku to kurish-desktop task

  [ Joey Hess ]
  * Update menu file to use new section.
  * Add arj and p7zip to gnome-desktop. These are recommended by file-roller
    and useful for interoperability with windows users who commonly use these
    formats. Closes: #414408

  [ Christian Perrier ]
  * Remove deprecated pango-libthai from the thai-desktop task.
    Closes: #433429

  [ Joey Hess ]
  * Put in an ugly hack to support chained enhances.
  * Add gnome-app-install to gnome-desktop. Closes: #435701
  * Add foo2zjs to print-server (and desktop), needed for "winprinters",
    particularly some HP Laserjets.

  [ Javier Fernandez-Sanguino ]
  * Remove doc-linux-es from the spanish task as it has been removed
    from the archive, see #437798.

  [ Joey Hess ]
  * Remove gimp-print from the desktop task, gimp now includes a print plugin.
  * Chinese tasks update. Closes: #445592

 -- Joey Hess <joeyh@debian.org>  Fri, 19 Oct 2007 21:26:49 -0400

tasksel (2.68) unstable; urgency=low

  [ Joey Hess ]
  * Remove Randolph from uploaders as he isn't involved in tasksel anymore.

  [ Translations of tasks ]
    - Tamil updated. Closes: #420950
    - Spanish updated.
    - Simplified Chinese updated.
    - Danish updated.
    - Russian updated.

  [ Eddy Petri?or ]
  * removed kde-i18n-ro from the romanian-desktop task since it doesn't make
    any sense to install that on default gnome desktop systems

  [ Joey Hess ]
  * Unversion postgresql packages in database-server to use new metapackages
    that will pull in the right version.
  * Switch from gaim to pidgin.
  * Switch from grdesktop to tsclient. Closes: #410782
  * Add Kurdish tasks, package lists from Lior Kaplan. Closes: #394348

  [ Per Olofsson ]
  * Switch to php5 in web-server task. Closes: #400966
  * Add cpufrequtils to desktop task.
  * Add suspend and hibernate utilities to desktop task. New desktop
    machines can usually suspend, and almost always hibernate.

  [ Joey Hess ]
  * Powertop is de rigueur for laptops these days.

  [ Dann Frazier ]
  * Use dmidecode to check if the chassis is of type "rack".
    If it is, unmark the desktop task by default. Closes: #398981



=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: important
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Randolph Chung <tausq@debian.org>, Joey Hess <joeyh@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.7.2
 Build-Depends: po-debconf, debhelper (>= 5), gettext, dpkg-dev (>= 1.9.0)
-XS-Vcs-Svn: svn://svn.debian.org/tasksel/trunk
+XS-Original-Vcs-Svn: svn://svn.debian.org/tasksel/trunk
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/tasksel/ubuntu
 
 Package: tasksel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
+Depends: ${misc:Depends}, debconf (>= 1.5.5) | cdebconf (>= 0.106), liblocale-gettext-perl, apt (>= 0.6.45ubuntu14), aptitude (>= 0.2.15-1), tasksel-data
 Conflicts: debconf (<< 1.4.27), base-config (<< 2.32)
 Description: Tool for selecting tasks for installation on Debian systems
  This package provides 'tasksel', a simple interface for users who

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+update:
+	rm -rf ubuntu-tasks
+	$(MAKE) ubuntu-tasks
 
 commit: commit-stamp
 commit-stamp:
@@ -16,7 +20,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp commit-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: install-stamp
@@ -44,7 +48,6 @@
 	dh_installdebconf
 	dh_fixperms
 	dh_installdeb
-	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## tasksel 2.70ubuntu6

=== debian/changelog ===
tasksel (2.70ubuntu6) hardy-proposed; urgency=high

  * Backport from jaunty:
    - Avoid removing packages that are in other tasks that are still
      selected or not displayed (LP: #150252).
  * Fix kubuntu-kde4-live task to avoid description clash with kubuntu-live
    (LP: #236257).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Mar 2009 11:59:25 +0000
